/*
 * 29/03/2004
 *
 * radiogroup.cpp
 * Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "radiogroup.h"

CRadioGroup::CRadioGroup(int size) {
	m_sizemax = size;
	m_size = 0;
	m_list =new CWidget*[size];
}

CRadioGroup::~CRadioGroup() {
	delete m_list;
}

void CRadioGroup::Add(CWidget *button) {
	if (m_size == 0) button->SetSelected(true); else button->SetSelected(false);
	m_list[m_size] = button;
	m_size++;
}

int CRadioGroup::GetSize() {
	return m_size;

}

CWidget * CRadioGroup::Get(int i) {
	return m_list[i];
}




