/*
 * 29/03/2004
 *
 * widget.cpp
 * Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "widget.h"

// ============
// Constructeur
// ============
CWidget::CWidget(int i) {
	x = 0;
	y = 0;
	m_mouseon = 0;
	m_enable = true;
	m_visible = true;
	id = i;

	mouseClickFunc = NULL;
	mouseMotionFunc = NULL;
}

// ===========
// Destructeur
// ===========
CWidget::~CWidget() {

}

void CWidget::Mouse(int button, int state, int mx, int my) {

}

void CWidget::MouseMotion(int button, int px, int py, int nx, int ny) {

}

void CWidget::MousePassiveMotion(int mx, int my) {

}

void CWidget::Draw() {

}

void CWidget::OnClick(void (*func)(int i)) {

	mouseClickFunc = func;

}

void CWidget::OnMotion(void (*func)(int i, int x, int y)) {

	mouseMotionFunc = func;

}


void CWidget::SetEnable(bool enable) {
	m_enable = enable;

}

void CWidget::SetVisible(bool visible) {
	m_visible = visible;

}

void CWidget::SetSelected(bool select) {
	m_selected = select;
}




