/*
 * 29/03/2004
 *
 * mygui.cpp
 * Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "mygui.h"

// ============
// Constructeur
// ============
CMyGui::CMyGui(int i, CImage3D *img) : CGui(i) {
	tf = new CTransferFunction(0, img);

	fps = new CLabel("10 fps");
	size = new CLabel("Size:");	
	
	mode = new CLabel("MODE:");	

	show = 1;
	SetPosition(0, 0);
}

// ===========
// Destructeur
	// ===========
CMyGui::~CMyGui() {

}

void CMyGui::Draw(int xsize, int ysize) {
	
	if (m_visible) {
	BeginDraw(xsize,ysize);
	
		
	tf->Draw();
	
	
	fps->Draw();
	
	
	size->Draw();
	
	mode->Draw();
	
	EndDraw();
	
	}
}

void CMyGui::Mouse(int button, int state, int mx, int my) {
	
}

void CMyGui::MouseMotion(int button, int px, int py, int nx, int ny) {
	
}

void CMyGui::MousePassiveMotion(int mx, int my) {
	
}

void CMyGui::OnClick(void (*func)(int i)) {
	
}

void CMyGui::OnMotion(void (*func)(int i, int x, int y)) {
	
}

void CMyGui::SetPosition(int px, int py) {

	x = px; y = py;

	tf->x = x+10; tf->y = y+2;
	
	size->x = x+120; size->y = y+180;

}

void CMyGui::SetShow(int i) {

	show = i;
	

	if (show == MENU) {
		
		fps->x = x+120; fps->y = y+200;
		mode->x = x+120; mode->y = y+160;

		
		tf->SetVisible(true);
		
		size->SetVisible(true);
		
		mode->SetVisible(true);
		


	}
	
}


